Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AddressCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.AddressCapabilities

    public class AddressCapabilities

extends java.lang.Object

Java class for addressCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="addressCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canConference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canConsult" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canDoNotDisturb" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canForward" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetMessageWaiting" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetMessageWaiting" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canOriginate" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canTransfer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AddressCapabilities()`

Method Summary
`boolean` | `isCanConference()` Gets the value of the canConference property.
`boolean` | `isCanConsult()` Gets the value of the canConsult property.
`boolean` | `isCanDoNotDisturb()` Gets the value of the canDoNotDisturb property.
`boolean` | `isCanForward()` Gets the value of the canForward property.
`boolean` | `isCanGetMessageWaiting()` Gets the value of the canGetMessageWaiting property.
`boolean` | `isCanOriginate()` Gets the value of the canOriginate property.
`boolean` | `isCanSetMessageWaiting()` Gets the value of the canSetMessageWaiting property.
`boolean` | `isCanTransfer()` Gets the value of the canTransfer property.
`void` | `setCanConference(boolean value)` Sets the value of the canConference property.
`void` | `setCanConsult(boolean value)` Sets the value of the canConsult property.
`void` | `setCanDoNotDisturb(boolean value)` Sets the value of the canDoNotDisturb property.
`void` | `setCanForward(boolean value)` Sets the value of the canForward property.
`void` | `setCanGetMessageWaiting(boolean value)` Sets the value of the canGetMessageWaiting property.
`void` | `setCanOriginate(boolean value)` Sets the value of the canOriginate property.
`void` | `setCanSetMessageWaiting(boolean value)` Sets the value of the canSetMessageWaiting property.
`void` | `setCanTransfer(boolean value)` Sets the value of the canTransfer property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCapabilities

    public AddressCapabilities()

Method Detail

### isCanConference

    public boolean isCanConference()

  Gets the value of the canConference property.

### setCanConference

    public void setCanConference(boolean value)

  Sets the value of the canConference property.

### isCanConsult

    public boolean isCanConsult()

  Gets the value of the canConsult property.

### setCanConsult

    public void setCanConsult(boolean value)

  Sets the value of the canConsult property.

### isCanDoNotDisturb

    public boolean isCanDoNotDisturb()

  Gets the value of the canDoNotDisturb property.

### setCanDoNotDisturb

    public void setCanDoNotDisturb(boolean value)

  Sets the value of the canDoNotDisturb property.

### isCanForward

    public boolean isCanForward()

  Gets the value of the canForward property.

### setCanForward

    public void setCanForward(boolean value)

  Sets the value of the canForward property.

### isCanGetMessageWaiting

    public boolean isCanGetMessageWaiting()

  Gets the value of the canGetMessageWaiting property.

### setCanGetMessageWaiting

    public void setCanGetMessageWaiting(boolean value)

  Sets the value of the canGetMessageWaiting property.

### isCanSetMessageWaiting

    public boolean isCanSetMessageWaiting()

  Gets the value of the canSetMessageWaiting property.

### setCanSetMessageWaiting

    public void setCanSetMessageWaiting(boolean value)

  Sets the value of the canSetMessageWaiting property.

### isCanOriginate

    public boolean isCanOriginate()

  Gets the value of the canOriginate property.

### setCanOriginate

    public void setCanOriginate(boolean value)

  Sets the value of the canOriginate property.

### isCanTransfer

    public boolean isCanTransfer()

  Gets the value of the canTransfer property.

### setCanTransfer

    public void setCanTransfer(boolean value)

  Sets the value of the canTransfer property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.